Bug 1022488 - [abrt] gnome-shell-3.10.1-1.fc20: _g_log_abort: Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
[abrt] gnome-shell-3.10.1-1.fc20: _g_log_abort: Process /usr/bin/gnome-shell ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
20
x86_64 Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
abrt_hash:6c6124d098b896ef143e6e7bbdb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 08:01 EDT by Jakub Hrozek
Modified: 2015-06-29 08:41 EDT (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.94 KB, text/plain)
2013-10-23 08:01 EDT, Jakub Hrozek
no flags Details
File: cgroup (160 bytes, text/plain)
2013-10-23 08:01 EDT, Jakub Hrozek
no flags Details
File: core_backtrace (26.80 KB, text/plain)
2013-10-23 08:01 EDT, Jakub Hrozek
no flags Details
File: dso_list (23.55 KB, text/plain)
2013-10-23 08:01 EDT, Jakub Hrozek
no flags Details
File: environ (2.69 KB, text/plain)
2013-10-23 08:02 EDT, Jakub Hrozek
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-23 08:02 EDT, Jakub Hrozek
no flags Details
File: maps (113.74 KB, text/plain)
2013-10-23 08:02 EDT, Jakub Hrozek
no flags Details
File: open_fds (2.20 KB, text/plain)
2013-10-23 08:02 EDT, Jakub Hrozek
no flags Details
File: proc_pid_status (970 bytes, text/plain)
2013-10-23 08:02 EDT, Jakub Hrozek
no flags Details
File: var_log_messages (16.94 KB, text/plain)
2013-10-23 08:02 EDT, Jakub Hrozek
no flags Details

  None (edit)
Description Jakub Hrozek 2013-10-23 08:01:34 EDT
Description of problem:
Docked laptop into a docking station connected to an external monitor as well.

Version-Release number of selected component:
gnome-shell-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.11.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            10327

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 meta_monitor_config_assign_crtcs at core/monitor-config.c:1806
 #6 apply_configuration at core/monitor-config.c:848
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 marshal_dbus_message_to_g_marshaller at dbus-gproxy.c:1736
 #15 dbus_g_proxy_emit_remote_signal at dbus-gproxy.c:1789
 #16 dbus_g_proxy_manager_filter at dbus-gproxy.c:1356
 #23 meta_run at core/main.c:556
Comment 1 Jakub Hrozek 2013-10-23 08:01:41 EDT
Created attachment 815359 [details]
File: backtrace
Comment 2 Jakub Hrozek 2013-10-23 08:01:45 EDT
Created attachment 815360 [details]
File: cgroup
Comment 3 Jakub Hrozek 2013-10-23 08:01:53 EDT
Created attachment 815361 [details]
File: core_backtrace
Comment 4 Jakub Hrozek 2013-10-23 08:01:59 EDT
Created attachment 815362 [details]
File: dso_list
Comment 5 Jakub Hrozek 2013-10-23 08:02:09 EDT
Created attachment 815363 [details]
File: environ
Comment 6 Jakub Hrozek 2013-10-23 08:02:12 EDT
Created attachment 815364 [details]
File: limits
Comment 7 Jakub Hrozek 2013-10-23 08:02:17 EDT
Created attachment 815365 [details]
File: maps
Comment 8 Jakub Hrozek 2013-10-23 08:02:21 EDT
Created attachment 815366 [details]
File: open_fds
Comment 9 Jakub Hrozek 2013-10-23 08:02:25 EDT
Created attachment 815367 [details]
File: proc_pid_status
Comment 10 Jakub Hrozek 2013-10-23 08:02:29 EDT
Created attachment 815368 [details]
File: var_log_messages
Comment 11 Joe Doss 2013-11-04 10:51:34 EST
Tried to increase laptop screen brightness when plugged into a dock tied to a secondary monitor.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.11.6-301.fc20.x86_64
package:        gnome-shell-3.10.1-2.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Carlos Morel-Riquelme 2013-11-05 20:14:20 EST
Nautilus crashed while video thumnails is loading

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.11.6-301.fc20.x86_64
package:        gnome-shell-3.10.1-2.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 neil 2013-12-26 02:37:03 EST
Another user experienced a similar problem:

I inserted a CD and clicked on the notification button to open in rhythmbox.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.12.5-302.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Mikko Nissinen 2014-01-04 08:35:20 EST
Another user experienced a similar problem:

Setup:
Laptop with one external monitor.

How to reproduce:
1. Close the laptop lid.
2. Wait until system reconfigures the desktop to use only the external monitor.
3. Open laptop lid. Crash will occur at some point when the system reconfigures the desktop for two monitors.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.12.5-302.fc20.i686
package:        gnome-shell-3.10.2.1-3.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Jake Whiteley 2014-01-14 13:24:14 EST
Laptop connected to external monitor during yum update. When download finished and install started a display corruption occurred. There were small groups of pixels that flashed between black and white. I restarted gnome hoping that would fix the corruption, but it did not so I restarted. Upon reboot I was presented with the abrt notification of this bug.
Comment 16 Eric Rich 2014-01-20 11:43:37 EST
Simply disabling the monitor (from settings), saving the setting and re-enabling the monitor works for me.
Comment 17 lejeczek 2014-04-02 03:27:26 EDT
for me I think it happens when I suspend then connect an external screen and power up, also sometimes the other way around.
Seems like there has not been much thought given these scenarios with laptop + external screen, including Intel, I use Dell Latitude 6430u
regards
Comment 18 Larry O'Leary 2014-04-23 09:42:44 EDT
This issue occurred for me as well.

 - laptop had been disconnected from docking station which had an external monitor connected to it;
 - laptop was suspended;
 - laptop was connected to docking station which had an external monitor connected to it;
 - laptop was resumed by opening laptop lid;
 - gnome-shell killed by SIGABRT[1]


[1]: https://retrace.fedoraproject.org/faf/reports/249586/
Comment 19 Toby Haynes 2014-06-19 11:38:49 EDT
Another user experienced a similar problem:

Seem to be related to resuming from suspend state on the laptop.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.14.7-200.fc20.x86_64
package:        gnome-shell-3.10.4-5.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Bob Doolittle 2014-06-19 11:49:22 EDT
I plug/unplug an external monitor daily, but only have experienced this once.
I have a Lenovo P580 20184 laptop.
Comment 21 Fedora Admin XMLRPC Client 2015-02-12 06:04:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Fedora End Of Life 2015-05-29 05:37:04 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Fedora End Of Life 2015-06-29 08:41:52 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.